<?php
/**
 * TGM Plugin Lists
 */

// Include the TGM_Plugin_Activation class.
require get_template_directory() . '/inc/ext/tgmpa.php';

/**
 * Register required and recommended plugins.
 */
function dinepress_register_plugins() {

	$plugins = array(

		array(
			'name'     => 'DinePress Pro',
			'slug'     => 'dinepress-pro',
			'source'   => get_template_directory() . '/inc/plugins/dinepress-pro.zip',
			'required' => true,
		),

		array(
			'name'     => 'Elementor',
			'slug'     => 'elementor',
			'required' => false,
		),

		array(
			'name'     => 'One Click Demo Import',
			'slug'     => 'one-click-demo-import',
			'required' => false,
		),

		array(
			'name'     => 'The Events Calendar',
			'slug'     => 'the-events-calendar',
			'required' => false,
		),

		array(
			'name'     => 'Smash Balloon Social Photo Feed',
			'slug'     => 'instagram-feed',
			'required' => false,
		),

	);

	$config = array(
		'id'           => 'tgmpa',
		'default_path' => '',
		'menu'         => 'tgmpa-install-plugins',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);

	tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'dinepress_register_plugins' );
